/**********************************************************************************************************************						
Instituto Nacional de Estadstica (INE) www.ine.es						
***********************************************************************************************************************						
						
DESCRIPCIN:						
Este programa genera un fichero SAS con formatos, partiendo de un fichero sin ellos.						
						
Consta de las siguientes partes:						
	* 1. Definir la librera de trabajo --> Libname					
	* 2. Definicin de formatos --> PROC FORMAT					
	* 3. Vincular formatos a la base de datos --> PASO data					
						
 Entrada:                                                           						
     - Fichero SAS sin formatos: 	 EPSH_2012.sas7bdat					
 Salida:                                                           						
     - Fichero SAS con formatos: 	 EPSH_2012_conFormato.sas7bdat					
						
Donde:						
	* Operacin: EPSH Encuesta de personas sin hogar					
	* Periodo: 2012					
						
************************************************************************************************************************/						
						
/*1) Definir la librera de trabajo: introducir el directorio que desee como librera						
(se da como ejemplo 'C:\Mis resultados'), y copiar en ese directorio el fichero sas "EPSH_2012.sas7bdat"*/						
						
libname ROutput 'C:\Mis resultados';						
options fmtsearch = (ROutput ROutput.cat1);

* 2) DEFINICIN DE FORMATOS;
PROC FORMAT LIBRARY=ROutput.cat1;
	value $TTpServ

"1"="ALOJAMIENTO"
"2"="COMIDA"
;
value $TNACIO

"1"="ESPAOLA"
"2"="EXTRANJERA"
"3"="AMBAS"
;
value $T_7C

"1"="TODAS LAS NOCHES"
"2"="MS DE 2 VECES POR SEMANA"
"3"="ENTRE 1 Y 2 VECES POR SEMANA"
"4"="DE VEZ EN CUANDO"
"9"="No Sabe / No Recuerda"
;
value $T_8C

"1"="NO HA DORMIDO AN ALL"
"2"="DESDE AYER"
"3"="DESDE HACE MENOS DE UNA SEMANA"
"4"="HACE MS DE UNA SEMANA Y MENOS DE UN MES"
"5"="HACE MS DE UN MES Y MENOS DE TRES MESES"
"6"="HACE MS DE TRES MESES Y MENOS DE UN AO"
"7"="HACE MS DE UN AO Y MENOS DE CINCO AOS"
"8"="HACE MS DE 5 AOS"
"9"="No Sabe / No Recuerda"
;
value $T_12C

"1"="A MEDIODA"
"2"="POR LA NOCHE"
"3"="A MEDIODA Y POR LA NOCHE"
"9"="No Sabe / No Recuerda"
;
value $T_13C

"1"="NO ENCONTR UN LUGAR DONDE PUDIERA COMER"
"2"="EL LUGAR DONDE PODRA HABER COMIDO ESTABA CERRADO O FUERA DE SERVICIO"
"3"="EL LUGAR DONDE PODRA HABER COMIDO ESTABA LEJOS"
"4"="NO SABA QUE EXISTIERAN LUGARES DONDE PUDIERA COMER"
"5"="LA COMIDA NO ERA BUENA"
"6"="NO DISPONA DE SUFICIENTE DINERO PARA PAGAR LA COMIDA"
"7"="HABA COMIDO ALGO EN OTRO MOMENTO DEL DA"
"8"="NO TENA HAMBRE"
"0"="OTRA RAZN"
"9"="No Sabe / No Recuerda"
;
value $T_14D

"1"="UNA"
"2"="DOS"
"3"="TRES O CUATRO"
"4"="MS DE CUATRO"
;
value $T_15D

"1"="EN LITERA"
"2"="SLO EN UNA CAMA"
"3"="EN UN COLCHN EN EL SUELO"
"4"="EN EL SUELO DIRECTAMENTE"
"5"="EN UNA HAMACA"
"6"="COMPARTIENDO CAMA O COLCHN"
"7"="DE OTRA FORMA"
;
value $T_16D

"1"="S"
"2"="NO, ES GRATUITO"
"3"="NO, PERO TIENE QUE REALIZAR UN TRABAJO O CONTRAPRESTACIN"
"9"="No Sabe / No Recuerda"
;
value $T_21D

"1"="EN ESTE CENTRO"
"2"="EN CASA DE AMIGOS"
"3"="DONDE SUELE DORMIR O PARAR"
"4"="EN CASA DE FAMILIARES"
"5"="EN UN APARTADO DE CORREOS"
"6"="EN OTRO LUGAR"
;
value $T_27D

"1"="A TRAVS DE UNA ASAMBLEA"
"2"="MEDIANTE UN BUZN DE SUGERENCIAS"
"3"="A TRAVS DEL COMIT DE USUARIOS"
"9"="No Sabe / No Recuerda"
;
value $T_28D

"1"="NO, ES GRATUITO"
"2"="NO, PERO TIENE QUE REALIZAR UN TRABAJO O CONTRAPRESTACIN PARA ALOJARSE EN L"
"3"="S, TIENE QUE PAGAR UNA PEQUEA CANTIDAD"
"4"="NO, SE LO DEJA UNA PERSONA DE SU FAMILIA"
"5"="NO, SE LO DEJAN UNOS AMIGOS O CONOCIDOS"
"6"="NO, ES UNA VIVIENDA DESOCUPADA"
"7"="OTRO CASO"
;
value $T_29D

"1"="A UN ORGANISMO O UNA ONG"
"2"="A LA PERSONA PARA LA QUE TRABAJA"
"3"="A UNA PERSONA QUE VIVE EN EL PISO"
"4"="A UNA PERSONA QUE NO VIVE EN EL PISO"
"5"="OTRO CASO"
;
value $T_30D

"1"="S, PERO NO HA HECHO NADA PARA QUE SE MARCHE"
"2"="S, HA TOMADO MEDIDAS LEGALES"
"3"="S, HA TOMADO MEDIDAS POLICIALES"
"4"="S, LE HA AMENAZADO CON PRESIONES Y REPRESALIAS"
"5"="NO"
"9"="No Sabe / No Recuerda"
;
value $T_31D

"1"="NO, SE LA FACILITA UNA ADMINISTRACIN PBLICA, UNA ONG U ORGANISMO"
"2"="NO, PERO TIENE QUE REALIZAR UN TRABAJO O CONTRAPRESTACIN"
"3"="S, TIENE QUE PAGAR UNA PEQUEA CANTIDAD"
"4"="NO, SE LA FACILITA UNA PERSONA DE SU FAMILIA"
"5"="NO, SE LA FACILITAN UNOS AMIGOS O CONOCIDOS"
"6"="OTRO CASO"
;
value $T1Cmunc

"1"="EN NINGN SITIO"
"2"="DONDE DUERME"
"3"="EN UN CENTRO DE UNA ADMINISTRACIN PBLICA, UNA ONG U ORGANISMO"
"4"="EN CASA DE UN FAMILIAR"
"5"="EN CASA DE UN AMIGO O CONOCIDO"
"6"="EN OTRO LUGAR"
;
value $T2Cmunc

"1"="EN UN CENTRO DE UNA ADMINISTRACIN PBLICA, UNA ONG U ORGANISMO"
"2"="EN CASA DE AMIGOS"
"3"="DONDE SUELE DORMIR O PARAR"
"4"="EN CASA DE FAMILIARES"
"5"="EN UN APARTADO DE CORREOS"
"6"="EN OTRO LUGAR"
;
value $T3Cmunc

"1"="EN UN CENTRO DE UNA ADMINISTRACIN PBLICA, UNA ONG U ORGANISMO"
"2"="EN CASA DE AMIGOS"
"3"="DONDE SUELE DORMIR O PARAR"
"4"="EN CASA DE FAMILIARES"
"5"="EN SU MVIL"
"6"="EN UN MVIL QUE NO ES EL SUYO"
"7"="EN OTRO LUGAR"
;
value $T_43D

"1"="NO QUIERE DORMIR EN LOS CENTROS"
"2"="NO SABA QUE EXISTIERAN ESOS CENTROS"
"3"="NO HA PODIDO IR AL CENTRO DONDE QUIERE DORMIR"
"4"="NO HAY ESE TIPO DE CENTROS EN ESE MUNICIPIO"
"5"="NO HA PODIDO QUEDARSE EN EL CENTRO DONDE DURMI ANTENOCHE"
"6"="OTRAS CAUSAS"
;
value $T_44D

"1"="NO SE FA DE LOS QUE SUELEN ESTAR ALL"
"2"="HAY MUCHO RUIDO"
"3"="LOS DEMS RESIDENTES LE MOLESTAN"
"4"="NO PUEDE IR CON ANIMALES"
"5"="OTRA RAZN"
;
value $T_45E

"1"="En Espaa"
"2"="En otro pas"
"9"="No Sabe / No Recuerda"
;
value $T46_47E

"1"="De 0 a 12 meses"
"2"="De 13 a 35 meses"
"3"="De 3 a 5 aos"
"4"="Ms de 5 aos"
;
value $T_49E

"1"="En este municipio"
"2"="En otro municipio"
"3"="En otro pas"
;
value $T_51E

"1"="Castellano"
"2"="Otras"
;
value $T_57F

"1"="MENOS DE UN MES"
"2"="ENTRE 1 Y 6 MESES"
"3"="DE 6 A 12 MESES"
"4"="ENTRE 1 Y 3 AOS"
"5"="MS DE 3 AOS"
"9"="No Sabe / No Recuerda"
;
value $T_59F

"1"="NO, SOLO"
"2"="S, CON LA AYUDA DE UN FAMILIAR O AMIGO/A"
"3"="S, CON LA AYUDA DE UN TRABAJADOR SOCIAL"
"4"="S, CON OTRA AYUDA"
;
value $T_60F

"1"="A TRAVS DEL AYUNTAMIENTO"
"2"="A TRAVS DE UN ORGANISMO DE SERVICIOS SOCIALES"
"3"="A TRAVS DE UNA ONG"
"4"="A TRAVS DE UN ANUNCIO DE PRENSA O DE AGENCIA INMOBILIARIA"
"5"="A TRAVS DE FAMILIARES O AMIGOS"
"6"="A TRAVS DE UNA COMUNIDAD RELIGIOSA"
"7"="OTROS"
;
value $T_61F

"1"="NO DISPONE DE DINERO SUFICIENTE"
"2"="NO QUIERE BUSCAR"
"3"="NO SABE CMO HACERLO"
"4"="NO CREE QUE PUEDA ENCONTRARLO"
"5"="POR MOTIVOS DE SALUD"
"6"="POR ESTAR CUMPLIENDO CONDENA"
"7"="OTROS"
;
value $T_63G

"1"="CON TRABAJO A TIEMPO PARCIAL"
"2"="CON TRABAJO A TIEMPO COMPLETO"
"3"="PARADO"
"4"="JUBILADO/A, RETIRADO/A"
"5"="EN SITUACIN DE INVALIDEZ"
"6"="REFUGIADO/A"
"7"="OTRAS"
;
value $T_65G

"1"="TRABAJABA POR CUENTA PROPIA"
"2"="PARA UNO O DIFERENTES PARTICULARES QUE LE PAGABAN"
"3"="PARA UNA EMPRESA"
"4"="PARA UNA ADMINISTRACIN PBLICA"
"5"="PARA UNA ONG"
"6"="PARA OTRO EMPLEADOR"
"9"="No Sabe / No Recuerda"
;
value $T_66G

"1"="Menos de 1 mes"
"2"="De 1 a 6 meses"
"3"="De 7 a 24 meses"
"4"="Ms de 2 aos"
;
value $T_67G

"1"="A TRAVS DE LA FAMILIA, AMIGOS O CONOCIDOS"
"2"="A TRAVS DE UNA EMPRESA"
"3"="A TRAVS DE UN ANUNCIO DE PERIDICO, EN UN TABLN DE ANUNCIOS, EN UNA FAROLA, EN UNA PARADA DE AUTOBS, ETC."
"4"="A TRAVS DE LOS SERVICIOS PBLICOS DE EMPLEO"
"5"="A TRAVS DE SERVICIOS SOCIALES O UNA ONG"
"6"="ACUDIENDO A LUGARES EN LA CALLE DONDE SE CONTRATA PERSONAL"
"7"="ESTABLECINDOSE POR SU CUENTA"
"8"="POR OTRO MEDIO"
;
value $T_70G

"1"="FINALIZ EL CONTRATO"
"2"="POR UNA REGULACIN DE EMPLEO O CIERRE DE LA EMPRESA"
"3"="POR DESPIDO"
"4"="RENUNCI AL EMPLEO POR MOTIVOS DE SALUD"
"5"="RENUNCI AL EMPLEO POR TENER QUE CUIDAR DE LA FAMILIA"
"6"="RENUNCI POR OTROS MOTIVOS"
"7"="OTRA RAZN"
;
value $T_73G

"1"="HACE MENOS DE 6 MESES"
"2"="ENTRE 6 Y 12 MESES"
"3"="ENTRE 1 Y 3 AOS"
"4"="HACE MS DE 3 AOS"
"9"="No Sabe / No Recuerda"
;
value $T_74G

"1"="POR MOTIVOS DE SALUD"
"2"="PORQUE CREE QUE A SU EDAD SER DIFCIL DE ENCONTRAR"
"3"="POR TENER QUE CUIDAR DE LA FAMILIA"
"4"="POR FALTA DE FORMACIN"
"5"="POR NO CREER QUE HAYA OFERTAS DE TRABAJO PARA USTED"
"6"="PORQUE NO TIENE PAPELES (NO EST AUTORIZADO PARA TRABAJAR)"
"7"="PORQUE EST DE PASO"
"8"="PORQUE EST REALIZANDO UN CURSO"
"0"="PORQUE NO QUIERE TRABAJAR"
"9"="OTRA RAZN"
;
value $T_78H

"00"="En el ltimo mes el informante no ha recibido dinero"
"01"="En el ltimo mes el informante ha recibido dinero por su trabajo"
"02"="En el ltimo mes el informante ha recibido dinero por la venta de objetos"
"03"="En el ltimo mes el informante ha recibido dinero por la prestacin de servicios"
"04"="En el ltimo mes el informante ha recibido la Renta Mnima de Insercin"
"05"="En el ltimo mes el informante ha recibido la prestacin por desempleo"
"06"="En el ltimo mes el informante ha recibido la pensin de invalidez"
"07"="En el ltimo mes el informante ha recibido la pensin de jubilacin"
"08"="En el ltimo mes el informante ha recibido la pensin de viudedad"
"09"="En el ltimo mes el informante ha recibido la pensin no contributiva"
"10"="En el ltimo mes el informante ha recibido otra prestacin"
"11"="En el ltimo mes el informante ha recibido dinero de un familiar"
"12"="En el ltimo mes el informante ha recibido dinero de un amigo/a o conocido/a"
"13"="En el ltimo mes el informante ha recibido dinero de gente de la calle"
"14"="En el ltimo mes el informante ha recibido dinero de una ONG"
"15"="En el ltimo mes el informante ha recibido dinero de otros"
;
value $T_80H

"1"="COMIDA"
"2"="BEBIDA"
"3"="ALOJAMIENTO"
"4"="ROPA, VESTIR"
"5"="TRANSPORTES, VIAJES"
"6"="DIVERSIONES"
"7"="ENTREGA O ENVA A CASA"
"8"="MEDICAMENTOS"
"9"="OTROS"
;
value $T_82H

"1"="UN BANCO O CAJA DE AHORROS"
"2"="LA ADMINISTRACIN (HACIENDA, ETC)"
"3"="UNA TIENDA, SUPERMERCADO, ETC"
"4"="UN PARTICULAR (PROPIETARIO/A DEL PISO, ETC)"
"5"="UN AMIGO/A"
"6"="UN FAMILIAR"
;
value $T_84H

"1"="A UN BANCO O CAJA DE AHORROS"
"2"="A UNA ONG"
"3"="A LA FAMILIA"
"4"="A LOS AMIGOS"
"5"="A OTROS"
;
value $T_85I

"Z"="Analfabetos"
"B"="Educacin primaria"
"C"="Enseanzas para la formacin e insercin laboral que no precisan de una titulacin acadmica de la primera etapa de secundaria para su realizacin (ms de 300 horas)"
"D"="Primera etapa de educacin secundaria"
"E"="Enseanzas para la formacin e insercin laboral que precisan de una titulacin acadmica de la segunda etapa de secundaria para su realizacin (ms de 300 horas)"
"F"="Segunda etapa de educacin secundaria"
"G"="Enseanzas para la formacin e insercin laboral que precisan de una titulacin de estudios secundarios de segunda etapa para su realizacin (ms de 300 horas)"
"H"="Enseanzas de grado superior de formacin profesional especfica y equivalentes , artes plsticas y diseo y deportivas"
"I"="Otras enseanzas de 2 y ms aos que precisan el ttulo de Bachiller."
"J"="Enseanza universitaria de primer ciclo y segundo ciclo"
"k"="Estudios oficiales de especializacin profesional"
"L"="Enseanza universitaria de tercer ciclo."
;
value $T_89J

"1"="MUY BUENO"
"2"="BUENO"
"3"="REGULAR"
"4"="MALO"
"5"="MUY MALO"
;
value $T_94J

"1"="ENFERMEDADES DEL SISTEMA CIRCULATORIO"
"2"="ENFERMEDADES DEL APARATO RESPIRATORIO Y DEL APARATO DIGESTIVO"
"3"="ENFERMEDADES ENDOCRINAS/ METABLICAS Y DE LOS RGANOS DE LOS SENTIDOS"
"4"="ENFERMEDADES DEL SISTEMA OSTEO-MIOARTICULAR"
"5"="TRASTORNOS MENTALES"
"6"="OTRAS ENFERMEDADES"
;
value $T_100J

"1"="FSICA"
"2"="SENSORIAL"
"3"="INTELECTUAL"
"4"="PSQUICA"
;
value $T_101J

"1"="S, FUMO DIARIAMENTE"
"2"="S, FUMO, PERO NO DIARIAMENTE"
"3"="NO FUMO ACTUALMENTE, PERO HE FUMADO ANTES"
"4"="NO FUMO, NI HE FUMADO NUNCA DE MANERA HABITUAL"
;
value $T_102J

"1"="DIARIAMENTE"
"2"="DE 4 A 6 DAS A LA SEMANA"
"3"="DE 2 A 3 DAS A LA SEMANA"
"4"="1 DA A LA SEMANA"
"5"="1 DA CADA 2 SEMANAS"
"6"="1 DA AL MES"
"7"="MENOS DE 1 DA AL MES"
"8"="MENOS DE UNA VEZ AL AO"
;
value $T_103J

"0"="Sin consumo"
"1"="Consumo ligero"
"2"="Consumo moderado"
"3"="Consumo alto"
"4"="Consumo excesivo"
;
value $T_108K

"1"="SOLTERO/A"
"2"="CASADO/A"
"3"="PAREJA DE HECHO"
"4"="VIUDO/A"
"5"="SEPARADO/A LEGALMENTE"
"6"="SEPARADO/A DE HECHO"
"7"="DIVORCIADO/A"
;
value $T_114K

"1"="EN EL LTIMO MES"
"2"="EN EL LTIMO AO"
"3"="SIN CONTACTO"
;
value $T_115K

"1"="CON SU FAMILIA (PADRES, HERMANOS)?"
"2"="CON SU MADRE?"
"3"="CON SU PADRE?"
"4"="CON SUS ABUELOS?"
"5"="CON OTROS FAMILIARES?"
"6"="CON OTRAS PERSONAS NO FAMILIARES?"
"7"="EN UNA INSTITUCIN DE ACOGIDA?"
;
value $T_118L

"1"="POR INICIATIVA PROPIA"
"2"="EN LA CALLE"
"3"="A TRAVS DE LOS SERVICIOS SOCIALES"
"4"="POR MEDIO DE UNA ONG"
"5"="POR MEDIO DE UN FAMILIAR"
"6"="POR MEDIO DE UN AMIGO O CONOCIDO"
"7"="POR UNA DECISIN JUDICIAL"
"8"="OTRO MEDIO"
;
value $T_120L

"1"="NADA"
"2"="POCO"
"3"="BASTANTE"
"4"="MUCHO"
;
value $T_123L

"1"="SUS INGRESOS SON SUPERIORES A LOS QUE SE ESTABLECEN PARA COBRARLA"
"2"="SU SITUACIN FAMILIAR HA CAMBIADO"
"3"="NO CUMPLE CON EL TIEMPO MNIMO DE CONSTITUCIN DE LA UNIDAD FAMILIAR O DE CONVIVENCIA"
"4"="HA CAMBIADO DE LUGAR DE RESIDENCIA"
"5"="COBRA OTRO SUBSIDIO"
"6"="TIENE TRABAJO"
"7"="OTRAS"
"9"="No Sabe / No Recuerda"
;
value $T_125L

"1"="DESCONOCA SU EXISTENCIA"
"2"="NO EST INTERESADO/A EN LA PRESTACIN"
"3"="CREO QUE NO CUMPLO LOS REQUISITOS"
"4"="OTROS"
;
value $T_126M

"1"="NUNCA"
"2"="ALGUNAS VECES"
"3"="MUCHAS VECES"
"4"="CONSTANTEMENTE"
;
value $T_129M

"1"="NO SABA CMO HACERLO"
"2"="NO SIRVE PARA NADA"
"3"="POR MI SITUACIN LEGAL"
"4"="POR MIEDO A REPRESALIAS"
"5"="POR OTRO MOTIVO"
;
value $T_130M

"1"="S, UNA VEZ"
"2"="S, VARIAS VECES"
"3"="NO"
"9"="No Sabe / No Recuerda"
;
value $T_132M

"1"="ABOGADO DE LOS SERVICIOS SOCIALES"
"2"="ABOGADO FACILITADO POR UNA ONG"
"3"="ABOGADO CONTRATADO PERSONALMENTE"
"4"="ABOGADO CORRESPONDIENTE AL TURNO DE OFICIO"
"5"="NO TUVO ASISTENCIA"
"9"="No Sabe / No Recuerda"
;
value $T_133M

"1"="S, POR UN JUZGADO DE MENORES"
"2"="S, POR OTROS JUZGADOS O TRIBUNALES"
"3"="S, POR AMBOS TIPOS DE JUZGADOS O TRIBUNALES"
"4"="NO"
;
value $T_134M

"1"="S, UNA SOLA VEZ"
"2"="S, MS DE UNA VEZ"
"3"="NO"
;
value $T_135M

"1"="S, CUMPLIENDO CONDENA"
"2"="S, ESPERANDO A SER JUZGADO/A"
"3"="NO"
;
value N_79H
9999="No Sabe / No Recuerda"
;
value N_86I
99="No Sabe / No Recuerda"
;
value N_99J
999="No Sabe / No Recuerda"
;
value $TSiNo

"1"="S"
"6"="NO"
"9"="No Sabe / No Recuerda"
;
value $TSEXO

"1"="HOMBRE"
"6"="MUJER"
;
value $TCCAA

"01"="Andaluca"
"02"="Aragn"
"03"="Asturias, Principado de"
"04"="Balears, Illes"
"05"="Canarias"
"06"="Cantabria"
"07"="Castilla y Len"
"08"="Castilla-La Mancha"
"09"="Catalua"
"10"="Comunitat Valenciana"
"11"="Extremadura"
"12"="Galicia"
"13"="Madrid, Comunidad de"
"14"="Murcia, Regin de"
"15"="Navarra, Comunidad Foral de"
"16"="Pas Vasco"
"17"="Rioja, La"
"18"="Ceuta"
"19"="Melilla"
"99"="No Sabe / No Recuerda"
;
value $TCntnnt

"1"="Unin Europea"
"2"="Resto de Europa"
"3"="Africa"
"4"="Amrica"
"5"="Asia"
"6"="Oceana"
"9"="No Sabe / No Recuerda"
;
value $TLgrAlj

"11"="Albergue, residencia o centro de acogida"
"12"="Centro de acogida a mujeres maltratadas"
"13"="Centro de ayuda al refugiado y centros para demandantes de asilo"
"14"="Centros de internamiento de inmigrantes"
"15"="Hospitales y centros sanitarios"
"16"="Prisiones"
"17"="Centros para personas mayores"
"21"="Piso facilitado por una administracin pblica, una ONG u organismo( incluye el piso pagado por la persona que recibe la renta mnima de insercin)"
"22"="Piso alquilado por la persona( excluye el piso pagado por la persona que recibe la renta mnima de insercin)"
"23"="Piso ocupado"
"24"="Piso de su propiedad"
"25"="Alojado en casa de un familiar o amigo"
"31"="Pensin pagada por una ONG u organismo(incluye la pensin pagada por la persona que recibe la renta mnima de insercin)"
"32"="Pensin pagada por la persona (exluye la pensin pagada por la persona que recibe la renta mnima de insercin)."
"41"="En espacio pblico ( estacin de ferrocarril, estacin de autobuses, metro, aparcamiento, jardn pblico, descampado)"
"42"="Alojamientos de fortuna (hall del inmueble , cueva, coche)"
"99"="No Sabe / No Recuerda"
;
value $TLgrCmd

"1"="Comida en un comedor o restaurante social, del lugar donde duerme"
"2"="Comida en un comedor o restaurante social, excepto del lugar en el que duerme"
"3"="Comida en casa de familiares o amigos"
"4"="Comida cocinada en casa del informante"
"5"="Comida comprada (en un bar, cafetera, supermercado o solicitada a servicios de cmida rpida)"
"6"="Alimentos donados por particulares"
"7"="Alimentos recuperados"
"8"="Otros"
"9"="No Sabe / No Recuerda"
"0"="No ha comido"
;
value $TpCmunc

"1"="EN ESTE CENTRO"
"2"="EN CASA DE AMIGOS"
"3"="DONDE SUELE DORMIR O PARAR"
"4"="EN CASA DE FAMILIARES"
"5"="EN SU MVIL"
"6"="EN UN MVIL QUE NO ES EL SUYO"
"7"="EN OTRO LUGAR"
;
value $TOcupac

"0"="Ocupaciones militares"
"1"="Directores y gerentes"
"2"="Tcnicos y profesionales cientficos e intelectuales"
"3"="Tcnicos, profesionales de apoyo"
"4"="Empleados contables, administrativos y otros empleados de oficina"
"5"="Trabajadores de los servicios de restauracin, personales, proteccin y vendedores"
"6"="Trabajadores cualificados en el sector agrcola, ganadero, forestal y pesquero."
"7"="Artesanos y trabajadores cualificados de las industrias manufactureras y la construccin (excepto operadores de instalaciones y maquinaria)"
"8"="Operadores de instalaciones y maquinaria, y montadores"
"9"="Ocupaciones elementales"
;


* 3) VINCULAR FORMATOS A LA BASE DE DATOS;
data ROutput.EPSH_2012_ConFormato;
	set ROutput.EPSH_2012;

	FORMAT A1_1 $TCCAA.;
FORMAT A1_5 $TTpServ.;

FORMAT B3 $TSEXO.;
FORMAT B5 $TNACIO.;
FORMAT B5_LIT_COD $TCntnnt.;

FORMAT C6_1 $TLgrAlj.;
FORMAT C7 $T_7C.;
FORMAT C8 $T_8C.;
FORMAT C9_1 $TLgrAlj.;
FORMAT C9_2 $TLgrAlj.;
FORMAT C9_3 $TLgrAlj.;
FORMAT C9_4 $TLgrAlj.;
FORMAT C9_5 $TLgrAlj.;
FORMAT C9_6 $TLgrAlj.;
FORMAT C9_7 $TLgrAlj.;
FORMAT PERNOCTA $TLgrAlj.;

FORMAT C10_1a $TLgrCmd.;
FORMAT C10_2a $TLgrCmd.;
FORMAT C10_3a $TLgrCmd.;
FORMAT C10_4a $TLgrCmd.;
FORMAT C10_5a $TLgrCmd.;
FORMAT C10_6a $TLgrCmd.;
FORMAT C10_7a $TLgrCmd.;
FORMAT C10_1b $TLgrCmd.;
FORMAT C10_2b $TLgrCmd.;
FORMAT C10_3b $TLgrCmd.;
FORMAT C10_4b $TLgrCmd.;
FORMAT C10_5b $TLgrCmd.;
FORMAT C10_6b $TLgrCmd.;
FORMAT C10_7b $TLgrCmd.;
FORMAT C11 $TSiNo.;
FORMAT C12 $T_12C.;
FORMAT C13 $T_13C.;
FORMAT D14 $T_14D.;
FORMAT D15 $T_15D.;
FORMAT D16 $T_16D.;
FORMAT D17 $TSiNo.;
FORMAT D18 $T_16D.;
FORMAT D19 $TSiNo.;
FORMAT D20 $TSiNo.;
FORMAT D21 $T_21D.;
FORMAT D22 $TSiNo.;
FORMAT D23 $TpCmunc.;
FORMAT D24 $TSiNo.;
FORMAT D25 $TpCmunc.;
FORMAT D26 $TSiNo.;
FORMAT D27 $T_27D.;
FORMAT D28 $T_28D.;
FORMAT D29 $T_29D.;
FORMAT D30 $T_30D.;
FORMAT D31 $T_31D.;
FORMAT D32_1 $TSiNo.;
FORMAT D32_2 $TSiNo.;
FORMAT D32_3 $TSiNo.;
FORMAT D32_4 $TSiNo.;
FORMAT D32_5 $TSiNo.;
FORMAT D32_6 $TSiNo.;
FORMAT D32_7 $TSiNo.;
FORMAT D32_8 $TSiNo.;
FORMAT D32_9 $TSiNo.;
FORMAT D32_10 $TSiNo.;
FORMAT D33 $TSiNo.;
FORMAT D34 $T1Cmunc.;
FORMAT D35 $TSiNo.;
FORMAT D36 $T2Cmunc.;
FORMAT D37 $TSiNo.;
FORMAT D38 $T3Cmunc.;
FORMAT D39 $TSiNo.;
FORMAT D40 $T3Cmunc.;
FORMAT D41_1_1 $TSiNo.;
FORMAT D41_1_2 $TSiNo.;
FORMAT D41_1_3 $TSiNo.;
FORMAT D41_2_1 $TSiNo.;
FORMAT D41_2_2 $TSiNo.;
FORMAT D41_2_3 $TSiNo.;
FORMAT D42_1 $TSiNo.;
FORMAT D42_2 $TSiNo.;
FORMAT D42_3 $TSiNo.;
FORMAT D42_4 $TSiNo.;
FORMAT D42_5 $TSiNo.;
FORMAT D42_6 $TSiNo.;
FORMAT D42_7 $TSiNo.;
FORMAT D43 $T_43D.;
FORMAT D44 $T_44D.;
FORMAT E45 $T_45E.;
FORMAT E45_PAIS $TCntnnt.;


FORMAT E46_A2 $T46_47E.;


FORMAT E47_A2 $T46_47E.;
FORMAT E48_CA_COD $TCCAA.;
FORMAT E49 $T_49E.;
FORMAT E50 $TSiNo.;
FORMAT E51 $T_51E.;
FORMAT E52 $TSiNo.;
FORMAT E53 $T_51E.;
FORMAT E54 $T_45E.;
FORMAT E54_OPP $TCntnnt.;
FORMAT E55 $T_45E.;
FORMAT E55_OPM $TCntnnt.;
FORMAT F56_1 $TSiNo.;
FORMAT F56_2 $TSiNo.;
FORMAT F56_3 $TSiNo.;
FORMAT F56_4 $TSiNo.;
FORMAT F56_5 $TSiNo.;
FORMAT F56_6 $TSiNo.;
FORMAT F56_7 $TSiNo.;
FORMAT F56_8 $TSiNo.;
FORMAT F56_9 $TSiNo.;
FORMAT F56_10 $TSiNo.;
FORMAT F56_11 $TSiNo.;
FORMAT F56_12 $TSiNo.;
FORMAT F57 $T_57F.;
FORMAT F58 $TSiNo.;
FORMAT F59 $T_59F.;
FORMAT F60_1 $T_60F.;
FORMAT F60_2 $T_60F.;
FORMAT F61 $T_61F.;
FORMAT G62 $TSiNo.;
FORMAT G63 $T_63G.;
FORMAT G64 $TOcupac.;
FORMAT G65 $T_65G.;
FORMAT G66_R $T_66G.;
FORMAT G67_1 $T_67G.;
FORMAT G67_2 $T_67G.;
FORMAT G68 $TSiNo.;
FORMAT G69 $TOcupac.;
FORMAT G70 $T_70G.;
FORMAT G71 $TSiNo.;
FORMAT G72_1 $TSiNo.;
FORMAT G72_2 $TSiNo.;
FORMAT G72_3 $TSiNo.;
FORMAT G72_4 $TSiNo.;
FORMAT G72_5 $TSiNo.;
FORMAT G72_6 $TSiNo.;
FORMAT G72_7 $TSiNo.;
FORMAT G72_8 $TSiNo.;
FORMAT G73 $T_73G.;
FORMAT G74_1 $T_74G.;
FORMAT G74_2 $T_74G.;
FORMAT H75_1 $TSiNo.;
FORMAT H75_2 $TSiNo.;
FORMAT H75_3 $TSiNo.;
FORMAT H76_4 $TSiNo.;
FORMAT H76_5 $TSiNo.;
FORMAT H76_6 $TSiNo.;
FORMAT H76_7 $TSiNo.;
FORMAT H76_8 $TSiNo.;
FORMAT H76_9 $TSiNo.;
FORMAT H76_10 $TSiNo.;
FORMAT H77_11 $TSiNo.;
FORMAT H77_12 $TSiNo.;
FORMAT H77_13 $TSiNo.;
FORMAT H77_14 $TSiNo.;
FORMAT H77_15 $TSiNo.;
FORMAT H78 $T_78H.;
FORMAT H79 N_79H.;
FORMAT H80_1 $T_80H.;
FORMAT H80_2 $T_80H.;
FORMAT H81 $TSiNo.;
FORMAT H82_1 $T_82H.;
FORMAT H82_2 $T_82H.;
FORMAT H83 $TSiNo.;
FORMAT H84_1 $T_84H.;
FORMAT H84_2 $T_84H.;
FORMAT I85 $T_85I.;
FORMAT I86 N_86I.;
FORMAT I87_1 $TSiNo.;
FORMAT I87_2 $TSiNo.;
FORMAT I87_3 $TSiNo.;
FORMAT I88 $TSiNo.;
FORMAT J89 $T_89J.;
FORMAT J90 $TSiNo.;

FORMAT J92 $TSiNo.;
FORMAT J93 $TSiNo.;
FORMAT J94_1 $T_94J.;
FORMAT J94_2 $T_94J.;
FORMAT J95 $TSiNo.;
FORMAT J96 $TSiNo.;
FORMAT J97 $TSiNo.;
FORMAT J98 $TSiNo.;
FORMAT J99 N_99J.;
FORMAT J100_1 $T_100J.;
FORMAT J100_2 $T_100J.;
FORMAT J100_3 $T_100J.;
FORMAT J100_4 $T_100J.;
FORMAT J101 $T_101J.;
FORMAT J102_1 $T_102J.;
FORMAT J102_2 $T_102J.;



FORMAT J102103_COD $T_103J.;
FORMAT J104 $TSiNo.;
FORMAT J105 $TSiNo.;
FORMAT J106_1 $TSiNo.;
FORMAT J106_2 $TSiNo.;
FORMAT J106_3 $TSiNo.;
FORMAT J106_4 $TSiNo.;
FORMAT J107 $TSiNo.;
FORMAT K108 $T_108K.;
FORMAT K109 $TSiNo.;
FORMAT K110 $TSiNo.;
FORMAT K111 N_86I.;
FORMAT K112 $TSiNo.;
FORMAT K113 $TSiNo.;
FORMAT K114_1 $T_114K.;
FORMAT K114_2 $T_114K.;
FORMAT K114_3 $T_114K.;
FORMAT K114_4 $T_114K.;
FORMAT K114_5 $T_114K.;
FORMAT K114_6 $T_114K.;
FORMAT K115 $T_115K.;
FORMAT K116_1 $TSiNo.;
FORMAT K116_2 $TSiNo.;
FORMAT K116_3 $TSiNo.;
FORMAT K116_4 $TSiNo.;
FORMAT K116_5 $TSiNo.;
FORMAT K116_6 $TSiNo.;
FORMAT K116_7 $TSiNo.;
FORMAT K116_8 $TSiNo.;
FORMAT K116_9 $TSiNo.;
FORMAT K116_10 $TSiNo.;
FORMAT K116_11 $TSiNo.;
FORMAT K116_12 $TSiNo.;
FORMAT K116_13 $TSiNo.;
FORMAT L117 $TSiNo.;
FORMAT L118 $T_118L.;
FORMAT L119_1_1 $TSiNo.;
FORMAT L119_1_2 $TSiNo.;
FORMAT L119_2_1 $TSiNo.;
FORMAT L119_2_2 $TSiNo.;
FORMAT L119_3_1 $TSiNo.;
FORMAT L119_3_2 $TSiNo.;
FORMAT L119_4_1 $TSiNo.;
FORMAT L119_4_2 $TSiNo.;
FORMAT L119_5_1 $TSiNo.;
FORMAT L119_5_2 $TSiNo.;
FORMAT L119_6_1 $TSiNo.;
FORMAT L119_6_2 $TSiNo.;
FORMAT L119_7_1 $TSiNo.;
FORMAT L119_7_2 $TSiNo.;
FORMAT L119_8_1 $TSiNo.;
FORMAT L119_8_2 $TSiNo.;
FORMAT L119_9_1 $TSiNo.;
FORMAT L119_9_2 $TSiNo.;
FORMAT L120 $T_120L.;
FORMAT L121 $TSiNo.;
FORMAT L122 $TSiNo.;
FORMAT L123_1 $T_123L.;
FORMAT L123_2 $T_123L.;
FORMAT L124 $TSiNo.;
FORMAT L125 $T_125L.;
FORMAT M126 $T_126M.;
FORMAT M127_1 $TSiNo.;
FORMAT M127_2 $TSiNo.;
FORMAT M127_3 $TSiNo.;
FORMAT M127_4 $TSiNo.;
FORMAT M127_5 $TSiNo.;
FORMAT M127_6 $TSiNo.;
FORMAT M128 $TSiNo.;
FORMAT M129 $T_129M.;
FORMAT M130 $T_130M.;
FORMAT M131 $T_130M.;
FORMAT M132 $T_132M.;
FORMAT M133 $T_133M.;
FORMAT M134 $T_134M.;
FORMAT M135 $T_135M.;
FORMAT M136 $TSiNo.;
FORMAT M137_1_1 $TSiNo.;
FORMAT M137_1_2 $TSiNo.;
FORMAT M137_2_1 $TSiNo.;
FORMAT M137_2_2 $TSiNo.;
FORMAT M137_3_1 $TSiNo.;
FORMAT M137_3_2 $TSiNo.;
FORMAT M138_1 $TSiNo.;
FORMAT M138_2 $TSiNo.;
FORMAT M138_3 $TSiNo.;


RUN;
/* FIN PROGRAMA: Microdatos en SAS: EPSH_2012.sas*/
